package ecoparasite.svg.elements;

import ecoparasite.svg.Coordonnees;

/**
 * Classe abstraite qui permet de définir des éléments SVG.
 */
abstract public class Element {

    protected Coordonnees coordonnees;

    /**
     * Constructeur par défaut.
     * Inscrit juste les coordonnées.
     * @param coordonnees Les coordonnées.
     */
    public Element(Coordonnees coordonnees) {
        this.coordonnees = coordonnees;
    }

    public Coordonnees getCoordonnees() {
        return coordonnees;
    }

    public void setCoordonnees(Coordonnees coordonnees) {
        this.coordonnees = coordonnees;
    }

    public void setCoordonnees(int x, int y) {
        this.coordonnees = new Coordonnees(x, y);
    }

    /**
     * Méthode abstraite qui va permettre de transformer notre élément en SVG.
     * @return La String SVG
     */
    abstract public String toSVG();

}
